<!DOCTYPE html>
<!--
* CoreUI - Free Bootstrap Admin Template
* @version v4.2.1
* @link https://coreui.io
* Copyright (c) 2022 creativeLabs Łukasz Holeczek
* Licensed under MIT (https://coreui.io/license)
-->
<html lang="de">
  <head>
    <base href="./">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>AnuaRadio - Anmeldebereich</title>
    <link rel="apple-touch-icon" sizes="57x57" href="../../assets/favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="../../assets/favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="../../assets/favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="../../assets/favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="../../assets/favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="../../assets/favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="../../assets/favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="../../assets/favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="../../assets/favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192" href="../../assets/favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="../../assets/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="../../assets/favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="../../assets/favicon/favicon-16x16.png">
    <link rel="manifest" href="../../assets/favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="../../assets/favicon/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    <!-- Vendors styles-->
    <link rel="stylesheet" href="../../vendors/simplebar/css/simplebar.css">
    <link rel="stylesheet" href="../../css/vendors/simplebar.css">
    <!-- Main styles for this application-->
    <link href="../../css/style.css" rel="stylesheet">
    <!-- We use those styles to show code examples, you should remove them in your application.-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism.css">
    <link href="../../css/examples.css" rel="stylesheet">
    <!-- Global site tag (gtag.js) - Google Analytics-->
    <script async="" src="https://www.googletagmanager.com/gtag/js?id=UA-118965717-3"></script>
    <script>
      window.dataLayer = window.dataLayer || [];

      function gtag() {
        dataLayer.push(arguments);
      }
      gtag('js', new Date());
      // Shared ID
      gtag('config', 'UA-118965717-3');
      // Bootstrap ID
      gtag('config', 'UA-118965717-5');
    </script>

    <?php 
    error_reporting(0);
    require_once('../../includes/db_sql.php');
    session_start(); 
    ?>

  </head>

<?php 

if (isset($_GET['login'])) {

  $statement = $conn->prepare('SELECT * FROM users WHERE user=:username');
  $statement->execute(array(":username" => $_POST['username']));
  $row = $statement->fetch(PDO::FETCH_ASSOC);


  if (password_verify($_POST['password'], $row['password'])) {

    echo '
    <div class="alert alert-success" role="alert">
      Login Erfolgreich! Wilkommen: '.$row['user'].'     
    </div>';

    function generateRandomString($length = 25) {
      $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
      $charactersLength = strlen($characters);
      $randomString = '';
      for ($i = 0; $i < $length; $i++) {
          $randomString .= $characters[rand(0, $charactersLength - 1)];
      }
      return $randomString;
  }


                                        $times = time() + 3600;

                                        $_SESSION['userid'] = $_POST['username'];
                                        $_SESSION['session_token'] = generateRandomString();
                                        $_SESSION['session_expire'] = $times;



                                        $sql = "UPDATE `users` SET `session_token`=:session_token, `session_expire`=:session_expire WHERE `user`=:user";
                                        $stmt= $conn->prepare($sql);
                                        $stmt->bindValue(":user", $_POST['username'], PDO::PARAM_STR);
                                        $stmt->bindValue(":session_token", $_SESSION['session_token'], PDO::PARAM_STR);
                                        $stmt->bindValue(":session_expire", $_SESSION['session_expire'], PDO::PARAM_STR);
                                        $stmt->execute();
	  
	  header('refresh: 2; url=../dashboard');



  } else {

    echo '
    <div class="alert alert-warning" role="alert">
      Login war nicht Erfolgreich! Erneut versuchen?: <a href="./">Hier klicken</a>    
    </div>';

  }



}

?>

  <body>
    <div class="bg-light min-vh-100 d-flex flex-row align-items-center">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-lg-8">
            <div class="card-group d-block d-md-flex row">
              <div class="card col-md-7 p-4 mb-0">
                <div class="card-body">
                  <h1>Anmelden</h1>
                  <form action="./?login=1" method="POST">
                  <p class="text-medium-emphasis">Melde dich jetzt mit einem bestehenden Account an.</p>
                  <div class="input-group mb-3"><span class="input-group-text">
                      <svg class="icon">
                        <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-user"></use>
                      </svg></span>
                    <input class="form-control" type="text" required name="username" placeholder="Nutzername">
                  </div>
                  <div class="input-group mb-4"><span class="input-group-text">
                      <svg class="icon">
                        <use xlink:href="../../vendors/@coreui/icons/svg/free.svg#cil-lock-locked"></use>
                      </svg></span>
                    <input class="form-control" type="password" required name="password" placeholder="Dein Passwort">
                  </div>
                  <div class="row">
                    <div class="col-6">
                      <button class="btn btn-primary px-4" type="submit">Jetzt Anmelden</button>
                    </div>
                  </form>
                  </div>
                </div>
              </div>
              <div class="card col-md-5 text-white bg-primary py-5">
                <div class="card-body text-center">
                  <div>
                    <h2>Noch keinen Account?</h2>
                    <p>Erstelle jetzt deinen eigenen Account auf AnuaRadio.</p>
                    <a class="btn btn-lg btn-outline-light mt-3" href="../register">Jetzt Account erstellen</a>
                  </div>
                </div>
              </div>
            </div>
            <div class="d-flex justify-content-center">
        <footer class="footer">
        <div><a href="https://anuacp.de">AnuaCP </a><a href="https://www.rawnetworks.eu">Development by RAW Networks</a> 2022 AnuaCP - Software Solutions.</div>
        </footer></div>
      </div>
          </div>
        </div>
      </div>
    </div>
    <!-- CoreUI and necessary plugins-->
    <script src="../../vendors/@coreui/coreui/js/coreui.bundle.min.js"></script>
    <script src="../../vendors/simplebar/js/simplebar.min.js"></script>
    <script>
    </script>

  </body>
</html>